// generated by unplugin-vue-components
// We suggest you to commit this file into source control
// Read more: https://github.com/vuejs/core/pull/3399
import '@vue/runtime-core'

export {}

declare module '@vue/runtime-core' {
  export interface GlobalComponents {
    BasicTable: typeof import('./src/components/table/basic-table/index.vue')['default']
    CollapseTable: typeof import('./src/components/table/collapse-table/index.vue')['default']
    CommonButton: typeof import('./src/components/common-button.vue')['default']
    CommonCalendarDate: typeof import('./src/components/common-calendar-date.vue')['default']
    CommonCalendarDateRange: typeof import('./src/components/common-calendar-date-range.vue')['default']
    CommonCalendarTime: typeof import('./src/components/common-calendar-time.vue')['default']
    CommonDropdown: typeof import('./src/components/common-dropdown.vue')['default']
    CommonInput: typeof import('./src/components/common-input.vue')['default']
    CommonSelect: typeof import('./src/components/common-select.vue')['default']
    CommonSelectMulti: typeof import('./src/components/common-select-multi.vue')['default']
    CommonTaost: typeof import('./src/components/common-taost.vue')['default']
    CommonToast: typeof import('./src/components/common-toast.vue')['default']
    Dropdown: typeof import('./src/components/dropdown.vue')['default']
    RouterLink: typeof import('vue-router')['RouterLink']
    RouterView: typeof import('vue-router')['RouterView']
    TablePagination: typeof import('./src/components/table/table-pagination.vue')['default']
  }
}
